# builder.h File Reference

## Detailed Description

Virtual protocol packet builder wrapper.

Definition in file builder.h.

`#include "dll.h"`
`#include "data.h"`
`#include <stdint.h>`
`#include <string>`

Include dependency graph for builder.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::Builder
| Base class for the builder functor hierarchy. More...
class | Barry::DBDataBuilder
| Wrapper class around a DBData object, to make it easy to pass a DBData object into a function or API that requires a builder. More...
class | Barry::RecordBuilder< RecordT, StorageT >
| Template class for easy creation of specific protocol packet builder objects. More...
class | Barry::RecordFetch< RecordT >
| Generic record fetch class, to help with using records without builder classes. More...

## Functions

template<class RecordT>
void | Barry::SetDBData (const RecordT &rec, DBData &data, size_t &offset, const IConverter *ic)
| Contains the proper way to convert a record object into a DBData object.